// Type definitions for @dyna-grid/core v1.1.0
// Project: 
// Definitions by: zhangkun <>
import { DyDialog } from "./dyDialog";
import { IDyLabel } from "./dyAbstractLabel";
import { DyPickerField } from "./dyPickerField";
interface ColorPickerConfig extends IDyLabel {
    color: string;
}
export declare class DyColorPicker extends DyPickerField<HTMLElement, string> {
    constructor(config?: ColorPickerConfig);
    protected postConstruct(): void;
    showPicker(): DyDialog;
    setValue(color: string): this;
    getValue(): string;
}
export {};
